package org.jeecg.ctop.material.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.jeecg.ctop.material.entity.SysManagerCompany;

import java.text.ParseException;

/**
 * 总经理&公司记录表
 *
 * @author jeecg-boot
 * 2022-02-22
 * @version V1.0
 */
public interface ISysManagerCompanyService extends IService<SysManagerCompany> {

    Result<Object> getMaterialProduce(String startTime, String endTime, String companyId, int mediaId);

    Result<Object> getMaterialProduceConsume(String startTime, String endTime, String companyId, int mediaId);

    Result<Object> getOperaterConsume(String startTime, String endTime, String companyId, int mediaId);

    void setConsumeValue(String companyId, String targetValue, int mediaId) throws Exception;

    Result<Object> getProjectConsumeTop(String startTime, String endTime, String companyId, int mediaId);

    Result<Object> getMediaData(String companyId);

    Result<Object> getRealTimeData(String companyId,int mediaId) throws ParseException;

    Result<Object> getTotalConsume(String companyId, int mediaId);
}
